/**
 * Title: ModellViewer
 * Description: Koord3D transports coordinates of the discrete 3 dimensional
 * system wherein bees and honeycombs live
 * @author Dimitri Missoh & Daniel Schlosser
 * @version 0.1
 */

public class Koord3D
    implements java.io.Serializable
{
	int X=0;
	int Y=0;
	int Z=0;
	public Koord3D(){}
	public Koord3D(int x,int y,int z){
		X=x;
		Y=y;
		Z=z;
	}
	/**
         *
         */
        public int getX(){return X;}
	public int getY(){return Y;}
	public int getZ(){return Z;}
	public String toString(){
	    return "( "+X+"; "+Y+"; "+Z+")";
	}
        public boolean equals(Object o)
        {
	    if(o==null) return false;
            Koord3D other=(Koord3D)o;
            return (X==other.getX()&&Y==other.getY()&&Z==other.getZ());
        }
}
