import java.io.*;
/** Die Klasse Waypoint reprsentiert quasi einen Punkt auf dem Weg eines Agenten. Ein solcher Punkt besteht aus einer Koordinate
 *  und ob dort gebaut wurde oder nicht.
 * Stand: 09.07.2001
 */
public class Waypoint
    implements Serializable{
    protected Koord3D point;
    protected boolean built;

    /** Der Konstruktor will das wo und ob wissen.
     * @param point das Wo
     * @param built das Ob
     */
    public Waypoint( Koord3D point, boolean built ){
        this.point = point;
        this.built = built;
    }

    /** Liefert das Wo.
     *
     * @return Koord3D das Wo
     */
    public Koord3D getKoord(){
        return point;
    }

    /** Liefert das Ob.
     *
     * @return boolean das Ob
     */
    public boolean getBuilt(){
        return built;
    }
}
